/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workclientinfo.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workclientinfo.entity.WorkClientInfo;

import java.util.List;

/**
 * 客户管理DAO接口
 * @author 丁旭
 * @version 2017-03-20
 */
@MyBatisDao
public interface WorkClientInfoDao extends CrudDao<WorkClientInfo> {


    int getBeUsedCount1(String clientId);
    int getBeUsedCount2(String clientId);
    int getBeUsedCount3(String clientId);
    int getBeUsedCount4(String clientId);
    int getBeUsedCount5(String clientId);

    int countByUscCode(String uscCode);
    int queryCount(WorkClientInfo workClientInfo);


    List<WorkClientInfo> findByName(WorkClientInfo workClientInfo);
}